Modify

Opened 6 years ago

Closed 6 years ago

#3191 closed defect (worksforme)

Trac appears to have dropped $ support

Reported by: rharkins Owned by: athomas
Priority: normal Component: TracDeveloperPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

trac.ini now has the jQuery.noConflict() call in it. This means that all uses of $. need to become jQuery. instead. This occurs in the "plugins" page and the "plugins.js" page. This change would be backwards compatible and shouldn't break previous versions of Trac.

Attachments (0)

Change History (1)

comment:1 Changed 6 years ago by athomas

  • Resolution set to worksforme
  • Status changed from new to closed

I'm afraid I don't really understand what the problem is. noConflict mode is only enabled if a plugin specifically requests it (via the class attribute jquery_noconflict), and none do.

The TracDeveloperPlugin works still works fine for me for trunk on both.

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.